## libdesktop-agnostic 0.3.90

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import Options
import os
import Scripting
import shutil
import sys
import Utils
import tarfile
import Task
import tempfile

API_VERSION = '1.0'

# the following two variables are used by the target "waf dist"
VERSION = '0.3.90'
VNUM = '0.4.0'

CFG_BACKENDS = ','.join(['gconf', 'keyfile'])
VFS_BACKENDS = ','.join(['gio', 'gnome-vfs', 'thunar-vfs'])
FDO_BACKENDS = ','.join(['glib', 'gnome'])
DISTCHECK_FLAGS = '\t'.join(['--config-backends=%s' % CFG_BACKENDS,
                             '--vfs-backends=%s' % VFS_BACKENDS,
                             '--desktop-entry-backends=%s' % FDO_BACKENDS])
GEN_SRC_DIR = 'gen_src'

if os.path.exists('.bzr'):
    try:
        from bzrlib.branch import Branch
        branch = Branch.open_containing('.')[0]
        revno = branch.revno()
        parent_url = branch.get_parent()
        if parent_url is None:
            # use the nick instead
            branch_name = branch.nick
        else:
            if parent_url[-1] == '/':
                parent_url = parent_url[:-1]
            branch_name = os.path.basename(parent_url)
        VERSION += '-bzr%d-%s' % (revno, branch_name)
    except ImportError:
        pass
elif os.path.exists('BZR_VERSION'):
    # the BZR_VERSION file should contain only the following:
    # $revno-$branch_name
    VERSION += '-bzr' + open('BZR_VERSION').read()

APPNAME = 'libdesktop-agnostic'

# these variables are mandatory ('/' is converted automatically)
srcdir = '.'
blddir = 'build'

config_backend = None


def set_options(opt):
    [opt.tool_options(x) for x in ['compiler_cc', 'gnu_dirs']]
    opt.sub_options('data docs')
    opt.sub_options('libdesktop-agnostic')
    opt.add_option('--enable-debug', action='store_true',
                   dest='debug', default=False,
                   help='Enables the library to be built with debug symbols.')
    opt.add_option('--enable-extra-warnings', action='store_true',
                   dest='extra_warnings', default=False,
                   help='Shows extra warnings during compilation.')
    opt.add_option('--enable-profiling', action='store_true',
                   dest='profiling', default=False,
                   help='Enables the library to be built so that it is '
                        'instrumented to measure performance.')


def configure(conf):
    print 'Configuring %s %s' % (APPNAME, VERSION)

    if len(Options.options.config_backends) == 0:
        conf.fatal('At least one configuration backend needs to be built.')
    conf.env['BACKENDS_CFG'] = Options.options.config_backends.split(',')
    if len(Options.options.vfs_backends) == 0:
        conf.fatal('At least one VFS backend needs to be built.')
    conf.env['BACKENDS_VFS'] = Options.options.vfs_backends.split(',')
    if len(Options.options.de_backends) == 0:
        conf.fatal('At least one desktop entry backend needs to be built.')
    conf.env['BACKENDS_DE'] = Options.options.de_backends.split(',')

    conf.env['DEBUG'] = Options.options.debug
    conf.env['EXTRA_WARNINGS'] = Options.options.extra_warnings
    conf.env['PROFILING'] = Options.options.profiling
    conf.env['VNUM'] = str(VNUM)

    conf.check_tool('gnu_dirs')
    conf.check_tool('compiler_cc misc vala python')

    MIN_VALA_VERSION = (0, 7, 10)

    conf.check_cfg(package='gmodule-2.0', uselib_store='GMODULE',
                   atleast_version='2.6.0', mandatory=True,
                   args='--cflags --libs')
    conf.check_cfg(package='glib-2.0', uselib_store='GLIB',
                   atleast_version='2.10.0', mandatory=True,
                   args='--cflags --libs')
    conf.check_cfg(package='gobject-2.0', uselib_store='GOBJECT',
                   atleast_version='2.12.0', mandatory=True,
                   args='--cflags --libs')
    # Needed for the Color class
    conf.check(lib='m', uselib='MATH')
    conf.check_cfg(package='gdk-2.0', uselib_store='GDK',
                   atleast_version='2.12.0', mandatory=True,
                   args='--cflags --libs')
    conf.check_cfg(package='gtk+-2.0', uselib_store='GTK',
                   atleast_version='2.12.0', mandatory=True,
                   args='--cflags --libs')
    if 'gconf' in conf.env['BACKENDS_CFG']:
        conf.check_cfg(package='glib-2.0', uselib_store='GREGEX',
                       atleast_version='2.14.0', mandatory=True,
                       args='--cflags --libs')
        conf.check_cfg(package='gconf-2.0', uselib_store='GCONF',
                       mandatory=True, args='--cflags --libs')
    if 'gio' in conf.env['BACKENDS_VFS']:
        conf.check_cfg(package='gio-2.0', uselib_store='GIO',
                       atleast_version='2.16.0', mandatory=True,
                       args='--cflags --libs')
    if 'thunar-vfs' in conf.env['BACKENDS_VFS']:
        conf.check_cfg(package='thunar-vfs-1', uselib_store='THUNAR_VFS',
                       mandatory=True, args='--cflags --libs')
        conf.check_cfg(package='dbus-glib-1', uselib_store='DBUS_GLIB',
                       mandatory=True, args='--cflags --libs')
    if 'gnome-vfs' in conf.env['BACKENDS_VFS']:
        conf.check_cfg(package='gnome-vfs-2.0', uselib_store='GNOME_VFS',
                       atleast_version='2.6.0', mandatory=True,
                       args='--cflags --libs')
    if 'gnome' in conf.env['BACKENDS_DE']:
        conf.check_cfg(package='gnome-desktop-2.0',
                       uselib_store='GNOME_DESKTOP', mandatory=True,
                       args='--cflags --libs')
    # make sure we have the proper Vala version
    if conf.env['VALAC_VERSION'] != MIN_VALA_VERSION and \
        not os.path.isdir(os.path.join(conf.curdir, GEN_SRC_DIR)):
        conf.fatal('''\
Your Vala compiler version %s is too old. The project requires
version %d.%d.%d''' % ((str(conf.env['VALAC_VERSION']),) + MIN_VALA_VERSION))

    # check for gobject-introspection
    conf.check_cfg(package='gobject-introspection-1.0',
                   atleast_version='0.6.3', mandatory=True,
                   args='--cflags --libs')
    pkgconfig = 'pkg-config --variable g_ir_compiler ' \
                'gobject-introspection-1.0'
    conf.env['G_IR_COMPILER'] = Utils.cmd_output(pkgconfig, silent=1).strip()

    conf.sub_config('data')
    conf.sub_config('docs')

    # manual Python bindings
    conf.sub_config('python')

    conf.define('API_VERSION', str(API_VERSION))
    conf.define('VERSION', str(VERSION))
    conf.define('GETTEXT_PACKAGE', APPNAME + '-1.0')
    conf.define('PACKAGE', APPNAME)
    conf.define('LIBDIR', conf.env['LIBDIR'])
    conf.define('SYSCONFDIR', conf.env['SYSCONFDIR'])

    if conf.env['DEBUG']:
        conf.env.append_value('VALAFLAGS', '-g')
        conf.env.append_value('CCFLAGS', '-ggdb')
    if conf.env['EXTRA_WARNINGS']:
        conf.env.append_value('CCFLAGS', '-Wall')
        conf.env.append_value('CCFLAGS', '-Wno-return-type')
        conf.env.append_value('CCFLAGS', '-Wno-unused')
    if conf.env['PROFILING']:
        conf.env.append_value('CCFLAGS', '-pg')
        conf.env.append_value('LINKFLAGS', '-pg')

    conf.env.append_value('CCFLAGS', '-D_GNU_SOURCE')
    conf.env.append_value('CCFLAGS', '-DHAVE_BUILD_CONFIG_H')

    conf.write_config_header('build-config.h')


def build(bld):
    # process subfolders from here
    bld.add_subdirs('libdesktop-agnostic tools tests data python docs')

    cls = Task.TaskBase.classes['valac']
    old = cls.run

    def run(self):
        gen_src_dir = os.path.join(bld.srcnode.abspath(), GEN_SRC_DIR)
        if os.path.isdir(gen_src_dir) == False:
            return old(self)
        else:
            #print "restoring from pre-cache"
            # check if output timestamp is newer than inputs
            d = bld.path.abspath()
            latest_input = 0
            for x in self.inputs:
                timestamp = os.path.getmtime(x.abspath(self.env))
                if timestamp > latest_input:
                    latest_input = timestamp
            # we need two passes to check that we have up-to-date C sources
            try:
                for x in self.outputs:
                    subdir = x.parent.path_to_parent(x.__class__.bld.srcnode)
                    src = os.path.join(d, GEN_SRC_DIR, subdir, x.name)
                    timestamp = os.path.getmtime(src)
                    if timestamp < latest_input:
                        raise Exception("Source file needs to be regenerated!")
            except Exception:
                return old(self)

            for x in self.outputs:
                subdir = x.parent.path_to_parent(x.__class__.bld.srcnode)
                src = os.path.join(d, GEN_SRC_DIR, subdir, x.name)
                shutil.copy2(src, x.abspath(self.env))
            return 0
    cls.run = run


def dist(appname='', version=''):
    # we need to reconfigure to include all backends
    Options.options.config_backends = CFG_BACKENDS
    Options.options.vfs_backends = VFS_BACKENDS
    Options.options.de_backends = FDO_BACKENDS
    Scripting.commands += ['configure', 'build', 'dist2']


def dist2(ctx):
    src_dir = os.path.abspath('.')
    bld_dir = os.path.join(src_dir, getattr(Utils.g_module, Scripting.BLDDIR))
    gen_src_dir = os.path.join(src_dir, GEN_SRC_DIR)
    try:
        shutil.rmtree(gen_src_dir)
    except (OSError, IOError):
        pass

    os.makedirs(gen_src_dir)
    for dir, subdirs, filenames in os.walk(os.path.join(bld_dir, 'default')):
        dir_basename = os.path.basename(dir)
        if dir_basename in ['libdesktop-agnostic', 'tools', 'tests']:
            for filename in filenames:
                root, ext = os.path.splitext(filename)
                if ext in ['.c', '.h', '.gir', '.vapi', '.deps']:
                    src = os.path.join(dir, filename)
                    dst = os.path.join(gen_src_dir, dir_basename)
                    if not os.path.exists(dst):
                        os.makedirs(dst)
                    shutil.copy2(src, os.path.join(dst, filename))

    Scripting.g_gz = 'gz'
    tarball = Scripting.dist()
    # clean up
    shutil.rmtree(gen_src_dir)
    return tarball


def distcheck(ctx):
    # no support for extra configure flags in distcheck, we need to add it
    dist()
    Scripting.commands.pop()  # get rid of dist2, we'll call it ourselves
    Scripting.commands += ['distcheck2']


def distcheck2(ctx):
    appname = getattr(Utils.g_module, Scripting.APPNAME, 'noname')
    version = getattr(Utils.g_module, Scripting.VERSION, '1.0')
    waf = os.path.abspath(sys.argv[0])
    # we need to call dist2(), dist() just appends to Scripting.commands list
    tarball = dist2(ctx)
    tbp = tarfile.open(tarball)  # as in, tarball pointer
    [tbp.extract(filename) for filename in tbp]
    tbp.close()
    path = '%s-%s' % (appname, version)
    instdir = tempfile.mkdtemp('.inst', '%s-%s' % (appname, version))
    conf_flags = DISTCHECK_FLAGS
    popen_params = [waf, 'configure'] + conf_flags.split() + \
                   ['build', 'install', 'uninstall', '--destdir=%s' % instdir]
    ret = Utils.pproc.Popen(popen_params, cwd=path).wait()
    if ret:
        raise Utils.WafError('distcheck failed with code %i' % ret)
    if os.path.exists(instdir):
        raise Utils.WafError('''\
distcheck succeeded, but files were left in %s''' % instdir)
    shutil.rmtree(path)

=== libdesktop-agnostic/wscript ===
#! /usr/bin/env python
# encoding: utf-8

import Task
from TaskGen import feature, taskgen
import os

deps = {
    'cfg': {
        'gconf': {
            'uselib': 'GCONF',
            'packages': 'gconf-2.0',
            'packages_private': 'config-notify-delegate',
        },
        'keyfile': {
            'packages_private': 'config-notify-delegate',
        },
        'memory': {
            'packages_private': 'config-notify-delegate',
        }
    },
    'vfs': {
        'gio': {
            'uselib': 'GIO',
            'packages': 'gio-2.0',
        },
        'thunar-vfs': {
            'uselib': 'THUNAR_VFS DBUS_GLIB',
            'packages': 'thunar-vfs-1 dbus-glib-1',
        },
        'gnome-vfs': {
            'uselib': 'GNOME_VFS',
            'packages': 'gnome-vfs-2.0',
        }
    },
    'fdo': {
        'gnome': {
            'uselib': 'GNOME_DESKTOP',
            'packages': 'gnome-desktop-2.0',
        }
    }
}


@taskgen
@feature('cc')
def generate_typelib(self):
    if hasattr(self, 'gir'):
        node = self.path.find_resource('%s.gir' % self.gir)
        if not node:
            print "Not a valid GIR file!"
            return
        task = self.create_task('typelib')
        bld = task.generator.bld
        task.set_inputs(node)
        target = '%s.typelib' % self.gir
        tnode = node.parent.find_or_declare(target)
        task.set_outputs(tnode)
        dirname = os.path.join(bld.bdir, tnode.bld_dir(task.env))
        task.generator.env['CURRENT_BUILD_DIR'] = dirname
        bld.install_files('${LIBDIR}/girepository-1.0',
                          tnode.abspath(task.env), task.env)


def create_typelib_task():
    rule = 'LD_LIBRARY_PATH="${CURRENT_BUILD_DIR}" ${G_IR_COMPILER} ' + \
           '-o ${TGT} ${SRC}'
    Task.simple_task_type('typelib', rule, after='cc_link')

create_typelib_task()


def task_module(type_name, src_prefix):
    def build_module(bld, name):
        module = bld.new_task_gen('cc', 'shlib')
        module.source = ' '.join(['%s-%s.vala' % (prefix, name)
                                  for prefix in src_prefix.split()])
        if type_name in deps and name in deps[type_name]:
            module.uselib = deps[type_name][name].get('uselib', '')
            module.packages = deps[type_name][name].get('packages', '')
            module.packages_private = deps[type_name][name] \
                                      .get('packages_private', '')
        ftype, sep, tail = type_name.partition('-')
        module.uselib_local = 'desktop-agnostic-%s' % ftype
        module.target = 'da-%s-%s' % (type_name, name)
        module.vapi_dirs = '../vapi'
        module.includes = '..'
        module.install_path = None
        bld.install_files('${LIBDIR}/desktop-agnostic/modules',
                          bld.env['shlib_PATTERN'] % module.target)
    return build_module


def set_options(opt):
    opt.add_option('--config-backends', type='string',
                   help='Determines which configuration backend(s) will be ' \
                        'built.',
                   dest='config_backends', default='')
    opt.add_option('--vfs-backends', type='string',
                   help='Determines which VFS backend(s) will be built.',
                   dest='vfs_backends', default='')
    opt.add_option('--desktop-entry-backends', type='string',
                   help='Determines which desktop entry backend(s) will be ' \
                        'built.',
                   dest='de_backends', default='')


def build(bld):
    lib = bld.new_task_gen('cc', 'shlib')
    lib.source = ' '.join([
        'color.vala',
        'module.vala',
        ])
    lib.packages = 'gdk-2.0 gmodule-2.0'
    lib.target = 'desktop-agnostic'
    lib.gir = 'DesktopAgnostic-1.0'
    lib.uselib = 'M GDK GMODULE'
    lib.packages_private = 'build'
    lib.includes = '..'
    lib.vapi_dirs = '../vapi'
    lib.vnum = bld.env['VNUM']

    vfs = bld.new_task_gen('cc', 'shlib')
    vfs.source = ' '.join([
        'vfs.vala',
        'vfs-bookmarks-gtk.vala',
        'vfs-file.vala',
        'vfs-file-monitor.vala',
        'vfs-glob.vala',
        'vfs-trash.vala',
        'vfs-volume.vala',
        ])
    vfs.packages = 'desktop-agnostic posix'
    vfs.target = 'desktop-agnostic-vfs'
    vfs.header = 'vfs'
    vfs.gir = 'DesktopAgnosticVFS-1.0'
    vfs.uselib_local = 'desktop-agnostic'
    vfs.packages_private = 'posix-glob'
    vfs.includes = '..'
    vfs.vapi_dirs = '../vapi .'
    vfs.vnum = bld.env['VNUM']

    cfg = bld.new_task_gen('cc', 'shlib')
    cfg.source = ' '.join([
        'config.vala',
        'config-bridge.vala',
        'config-client.vala',
        'config-schema.vala',
        'config-schema-option.vala',
        'config-schema-type.vala',
        ])
    cfg.packages = 'desktop-agnostic-vfs'
    cfg.target = 'desktop-agnostic-cfg'
    cfg.header = 'config'
    cfg.gir = 'DesktopAgnosticConfig-1.0'
    cfg.uselib_local = 'desktop-agnostic-vfs'
    cfg.packages_private = 'hashtable-gtype-key'
    cfg.includes = '..'
    cfg.vapi_dirs = '../vapi .'
    cfg.vnum = bld.env['VNUM']

    fdo = bld.new_task_gen('cc', 'shlib')
    fdo.source = ' '.join([
        'desktop-entry.vala',
        ])
    fdo.packages = 'desktop-agnostic-vfs'
    fdo.target = 'desktop-agnostic-fdo'
    fdo.header = 'fdo'
    fdo.gir = 'DesktopAgnosticFDO-1.0'
    fdo.uselib_local = 'desktop-agnostic-vfs'
    fdo.vapi_dirs = '.'
    fdo.includes = '..'
    fdo.vnum = bld.env['VNUM']

    ui = bld.new_task_gen('cc', 'shlib')
    ui.source = ' '.join([
        'ui-color-button.vala',
        'ui-icon-button.vala',
        'ui-icon-chooser-dialog.vala',
        'ui-launcher-editor-dialog.vala',
        ])
    ui.packages = 'desktop-agnostic-fdo gtk+-2.0'
    ui.packages_private = 'build'
    ui.target = 'desktop-agnostic-ui'
    ui.header = 'ui'
    ui.gir = 'DesktopAgnosticUI-1.0'
    ui.uselib = 'GTK'
    ui.uselib_local = 'desktop-agnostic-fdo'
    ui.vapi_dirs = '. ../vapi'
    ui.includes = '..'
    ui.vnum = bld.env['VNUM']

    [task_module('cfg', 'config-impl')(bld, name)
     for name in bld.env['BACKENDS_CFG']]
    [task_module('cfg-type', 'config-type')(bld, name)
     for name in ['color']]
    vfs_types = ['vfs-impl', 'vfs-file-impl', 'vfs-file-monitor-impl',
                 'vfs-trash-impl', 'vfs-volume-impl']
    [task_module('vfs', ' '.join(vfs_types))(bld, name)
     for name in bld.env['BACKENDS_VFS']]
    [task_module('fdo', 'desktop-entry-impl')(bld, name)
     for name in bld.env['BACKENDS_DE']]

    mod_guess = bld.new_task_gen('cc', 'shlib')
    mod_guess.source = 'module-guesser.vala'
    mod_guess.uselib_local = 'desktop-agnostic-vfs'
    mod_guess.target = 'da-module-guesser'
    mod_guess.vapi_dirs = '../vapi'
    mod_guess.includes = '..'
    mod_guess.install_path = None
    bld.install_files('${LIBDIR}/desktop-agnostic/modules',
                      bld.env['shlib_PATTERN'] % mod_guess.target)

=== debian/changelog ===
libdesktop-agnostic (0.3.90-2) unstable; urgency=low

  * Upload to unstable. 

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 05 Jun 2010 19:44:09 +0200

libdesktop-agnostic (0.3.90-1) experimental; urgency=low

  * Initial upload on Debian (Closes: #560367)
  * debian/control:
   + Update my email address.
   + Bump Standards-Version to 3.8.4 (no change needed).
  * debian/rules: Wrap configure flags.
  * debian/libdesktop-agnostic0.symbols: Add.
  * Remove 01-awn-fixes.patch.
  * Add documentation
   - debian/control: 
    + Add build-depends on python-sphinx.
    + Add libdesktop-agnostic-doc binary.
   - debian/rules: 
    + Add --enable-docs.
    + Add sphinx.pyc to the clean target.
   - libdesktop-agnostic-doc.install: Install the documentation.
   - libdesktop-agnostic-doc.{links,doc-base}: Add doc-base support.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 30 Apr 2010 22:48:28 +0200

libdesktop-agnostic (0.3.90-0ubuntu1) lucid; urgency=low

  * New upstream official release, replacing the patched bzr snapshot. 
    (LP: #565340)
   - Fix support on non-english system.
   - Ship generated .c files to avoid breakage with new Vala versions. 
  * debian/patches/01-awn-fixes.patch: Merged usptream.

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 18 Apr 2010 01:46:37 +0200

libdesktop-agnostic (0.0.1~bzr383-0ubuntu3) lucid; urgency=low

  *  debian/patches/01-awn-fixes.patch: Various fixes from Michal Hruby
   - Fix memory leaks
   - Fix FTBFS
   - Port to Vala 0.7.10
   - Fixes for keyfile backend
   - Minor cleanup
  * debian/control:
   - Build-depends on vala >= 0.7.10
   - Build-depends on gir-repository-dev to retrieve Gdk-2.0.gir.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Julien Lavergne <gilir@ubuntu.com>  Sat, 20 Mar 2010 12:24:33 +0100

libdesktop-agnostic (0.0.1~bzr383-0ubuntu2) lucid; urgency=low

  * No-change rebuild against libgnome-desktop-2-17. libgnome-desktop-2-11 is
    NBS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Mar 2010 17:11:06 +0100

libdesktop-agnostic (0.0.1~bzr383-0ubuntu1) lucid; urgency=low

  * Initial release. LP: #496307
  * Pack upstream snapshot without debian directory. 

 -- Julien Lavergne <gilir@ubuntu.com>  Fri, 01 Jan 2010 23:33:31 +0100

=== debian/control ===
Source: libdesktop-agnostic
Section: libs
Priority: extra
Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
# for waf
               python,
# "real" deps
               valac (>= 0.7.10),
               gobject-introspection (>= 0.6.3),
               libgirepository1.0-dev (>= 0.6.3),
               gir-repository-dev (>= 0.6.3),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev,
               libgladeui-1-dev,
# documentation
               python-sphinx,
# python bindings
               python-support (>= 0.6),
               python-dev,
               python-all-dev (>= 2.5),
               python-gobject-dev (>= 2.12),
               python-gtk2-dev (>= 2.12),
# module deps
               libgconf2-dev,
               libthunar-vfs-1-dev,
               libdbus-glib-1-dev,
               libgnomevfs2-dev,
               libgnome-desktop-dev,
Standards-Version: 3.8.4
Homepage: https://launchpad.net/libdesktop-agnostic

Package: libdesktop-agnostic0
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends}
Suggests: libdesktop-agnostic-vfs, libdesktop-agnostic-cfg, libdesktop-agnostic-fdo
Description: A desktop-agnostic library for GLib-based projects
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the core library.

Package: libdesktop-agnostic-vfs-gnome
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-vfs
Description: GNOME VFS-based VFS module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GNOME VFS module.

Package: libdesktop-agnostic-vfs-thunar
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-vfs
Description: Thunar VFS-based VFS module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the Thunar VFS module.

Package: libdesktop-agnostic-vfs-gio
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-vfs
Description: GIO-based VFS module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GIO module.

Package: libdesktop-agnostic-cfg-gconf
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-cfg
Description: GConf-based configuration module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GConf module.

Package: libdesktop-agnostic-cfg-keyfile
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-cfg
Description: Keyfile-based configuration module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the keyfile-based configuration module.

Package: libdesktop-agnostic-fdo-gnome
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Provides: libdesktop-agnostic-fdo
Description: GNOME-based desktop entry/menu module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GNOME-based desktop entry/menu module.

Package: libdesktop-agnostic-fdo-glib
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version}),
Provides: libdesktop-agnostic-fdo
Description: GLib-based desktop entry/menu module for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GLib-based desktop entry/menu module.

Package: libdesktop-agnostic0-dbg
Section: debug
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Description: Debugging symbols for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the debugging symbols for the core library.

Package: libdesktop-agnostic-dev
Section: libdevel
Architecture: any
Depends: 	${shlibs:Depends},
		${misc:Depends},
		libdesktop-agnostic0 (= ${binary:Version}),
		libglib2.0-dev,
		libgtk2.0-dev
Suggests:	glade (>= 3) | glade-3
Description: Development files for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the development files for the core library.

Package: libdesktop-agnostic-doc
Architecture: all
Section: doc
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libjs-jquery
Description: Documentation for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the documentation for the core library.

Package: gir1.0-desktopagnostic-1.0
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version})
Recommends:	gobject-introspection, libdesktop-agnostic-dev
Description:  GObject Introspection data for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the GObject Introspection data for the core library.

Package: libdesktop-agnostic-bin
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (= ${binary:Version}),
            libdesktop-agnostic-cfg-gconf
Description:  Helper applications for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains helper applications for libdesktop-agnostic, such as a
 schema converter.

Package: python-desktop-agnostic
Section: python
Architecture: any
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (>= ${binary:Version}),
            ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the Python bindings for the core library.

Package: vala-desktop-agnostic
Architecture: all
Depends:    ${shlibs:Depends},
            ${misc:Depends},
            libdesktop-agnostic0 (>= ${source:Version})
Description: Vala bindings for libdesktop-agnostic
 This library provides an extensible configuration API, a unified virtual file
 system API, and a desktop item editor (all with pluggable backends) for
 GLib-based projects. It is not tied to any one desktop environment, although
 there are desktop-specific modules.
 .
 This package contains the Vala bindings for the core library.

=== debian/rules ===
#!/usr/bin/make -f

#Workaround a segfault on amd64 when optimization are O2
ifeq (amd64,$(shell dpkg-architecture -qDEB_HOST_ARCH))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

%:
	dh $@

override_dh_auto_configure:
	LINKFLAGS="${LDFLAGS} -Wl,--as-needed" ./waf --nocache configure --prefix=/usr \
	--enable-debug \
	--config-backends=gconf,keyfile \
	--vfs-backends=gio,gnome-vfs,thunar-vfs \
	--desktop-entry-backends=glib,gnome \
	--with-glade \
	--enable-docs
	./waf --nocache build

override_dh_auto_install:
	./waf --nocache install --destdir=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip --dbg-package=libdesktop-agnostic0-dbg

override_dh_auto_clean:
	rm -rf build sphinx.pyc
	./waf --nocache distclean
	rm -f configure	# so dh_auto_configure doesn't try to use this broken fallback

=== debian/watch ===
version=3
https://launchpad.net/libdesktop-agnostic/+download https://launchpad.net/libdesktop-agnostic/.*/libdesktop-agnostic-(.+)\.tar.gz

## libdesktop-agnostic 0.3.92

=== debian/changelog ===
libdesktop-agnostic (0.3.92-2) unstable; urgency=low

  * libdesktop-agnostic-vfs-gnome.install:
   - Remove, doesn't build and gnome-vfs is deprecated upstream.
  * debian/control:
   - Drop build-depends on python-all-dev.
   - Bump build-depends on python-dev to >= 2.6.6-3~ for dh_python2.
   - Drop Provides: ${python:Provides}.
   - Update build-depends on python-sphinx for dh_sphinxdoc support.
   - Use ${sphinxdoc:Depends}, instead of depends on libjs-jquery.
   - Remove build-depends on libgnomevfs2-dev.
   - Remove libdesktop-agnostic-vfs-gnome binary.
  * debian/libdesktop-agnostic-doc.links:
   - Remove workaround for jquery, handle by python-sphinx.
  * debian/rules:
   - Use --with sphinxdoc.
   - Remove gnome-vfs as vfs-backends.
  * debian/copyright:
   - Fix format errors.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 17 Oct 2011 00:25:37 +0200

libdesktop-agnostic (0.3.92-1) unstable; urgency=low

  * New upstream release (Closes: #625669)
  * debian/control:
   - Remove gir-repository-dev from build-depends (LP: #677382)
   - Bump build-depends for valac-0.10 to (>= 0.10.0).
   - Build-depends on intltool.
   - Bump build-depends on libglib2.0-dev to (>= 2.18.0) for the fdo gio
     module. 
   - Drop gir1.0-desktopagnostic-1.0 binary, support was removed upstream.
   - Add new libdesktop-agnostic-fdo-gio binary.
   - Remove vala-desktop-agnostic binary, merged in libdesktop-agnostic-dev.
   - Add Conflitcs/Replaces to libdesktop-agnostic-dev for
     vala-desktop-agnostic.
   - Add new libdesktop-agnostic-data binary for the locales.
   - Add libdesktop-agnostic-data as a depend of libdesktop-agnostic0.
   - Drop build-depends on libthunar-vfs-1-dev.
   - Drop build-depends on python-support.
   - Bump build-depends on python to >= 2.6.6-3~ for dh_python2 support.
   - Add DM-Upload-Allowed: yes
   - Bump Standards-Version to 3.9.2 (no change needed).
  * debian/rules:
   - Add gio module to desktop-entry-backends flags.
   - Stop building the thunar-vfs backend, it's deprecated upstream.
   - Use --with python2
   - Passing --no-guessing-versions to dh_python2
  * debian/*.install
   - Move vala-desktop-agnostic files to libdesktop-agnostic-dev.
   - Drop gir1.0-desktopagnostic-1.0, not supported (Closes: #621993, #621736)
   - Drop libdesktop-agnostic-vfs-thunar.
   - Add new libdesktop-agnostic-fdo-gio.
  * debian/*.symbols
   - Update symbols.
  * debian/copyright:
   - Update new copyright holder and years.
   - Update to newer DEP5 specification.
  * debian/watch:
   - Update location.
  * debian/pycompat:
   - Remove.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 06 Jul 2011 01:51:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,38 +4,36 @@
 Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
 # for waf
-               python,
+               python (>= 2.6.6-3~),
 # "real" deps
-               valac (>= 0.7.10),
+               valac-0.10 (>= 0.10.0),
                gobject-introspection (>= 0.6.3),
                libgirepository1.0-dev (>= 0.6.3),
-               gir-repository-dev (>= 0.6.3),
-               libglib2.0-dev (>= 2.16.0),
+               libglib2.0-dev (>= 2.18.0),
                libgtk2.0-dev,
                libgladeui-1-dev,
+               intltool,
 # documentation
-               python-sphinx,
+               python-sphinx (>= 1.0.7+dfsg),
 # python bindings
-               python-support (>= 0.6),
-               python-dev,
-               python-all-dev (>= 2.5),
+               python-dev (>= 2.6.6-3~),
                python-gobject-dev (>= 2.12),
                python-gtk2-dev (>= 2.12),
 # module deps
                libgconf2-dev,
-               libthunar-vfs-1-dev,
                libdbus-glib-1-dev,
-               libgnomevfs2-dev,
                libgnome-desktop-dev,
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: https://launchpad.net/libdesktop-agnostic
+DM-Upload-Allowed: yes
 
 Package: libdesktop-agnostic0
 Architecture: any
 Depends:    ${shlibs:Depends},
+            libdesktop-agnostic-data (>= ${source:Version}),
             ${misc:Depends}
 Suggests: libdesktop-agnostic-vfs, libdesktop-agnostic-cfg, libdesktop-agnostic-fdo
-Description: A desktop-agnostic library for GLib-based projects
+Description: Desktop-agnostic library for GLib-based projects
  This library provides an extensible configuration API, a unified virtual file
  system API, and a desktop item editor (all with pluggable backends) for
  GLib-based projects. It is not tied to any one desktop environment, although
@@ -43,33 +41,16 @@
  .
  This package contains the core library.
 
-Package: libdesktop-agnostic-vfs-gnome
-Architecture: any
-Depends:    ${shlibs:Depends},
-            ${misc:Depends},
-            libdesktop-agnostic0 (= ${binary:Version})
-Provides: libdesktop-agnostic-vfs
-Description: GNOME VFS-based VFS module for libdesktop-agnostic
- This library provides an extensible configuration API, a unified virtual file
- system API, and a desktop item editor (all with pluggable backends) for
- GLib-based projects. It is not tied to any one desktop environment, although
- there are desktop-specific modules.
- .
- This package contains the GNOME VFS module.
-
-Package: libdesktop-agnostic-vfs-thunar
-Architecture: any
-Depends:    ${shlibs:Depends},
-            ${misc:Depends},
-            libdesktop-agnostic0 (= ${binary:Version})
-Provides: libdesktop-agnostic-vfs
-Description: Thunar VFS-based VFS module for libdesktop-agnostic
- This library provides an extensible configuration API, a unified virtual file
- system API, and a desktop item editor (all with pluggable backends) for
- GLib-based projects. It is not tied to any one desktop environment, although
- there are desktop-specific modules.
- .
- This package contains the Thunar VFS module.
+Package: libdesktop-agnostic-data
+Architecture: any
+Depends: ${misc:Depends}
+Description: Locales and data for libdesktop-agnostic
+ This library provides an extensible configuration API, a unified virtual file
+ system API, and a desktop item editor (all with pluggable backends) for
+ GLib-based projects. It is not tied to any one desktop environment, although
+ there are desktop-specific modules.
+ .
+ This package contains the locales for libdesktop-agnostic.
 
 Package: libdesktop-agnostic-vfs-gio
 Architecture: any
@@ -140,6 +121,20 @@
  there are desktop-specific modules.
  .
  This package contains the GLib-based desktop entry/menu module.
+
+Package: libdesktop-agnostic-fdo-gio
+Architecture: any
+Depends:    ${shlibs:Depends},
+            ${misc:Depends},
+            libdesktop-agnostic0 (= ${binary:Version}),
+Provides: libdesktop-agnostic-fdo
+Description: GIO-based desktop entry/menu module for libdesktop-agnostic
+ This library provides an extensible configuration API, a unified virtual file
+ system API, and a desktop item editor (all with pluggable backends) for
+ GLib-based projects. It is not tied to any one desktop environment, although
+ there are desktop-specific modules.
+ .
+ This package contains the GIO-based desktop entry/menu module.
 
 Package: libdesktop-agnostic0-dbg
 Section: debug
@@ -164,6 +159,8 @@
 		libglib2.0-dev,
 		libgtk2.0-dev
 Suggests:	glade (>= 3) | glade-3
+Replaces: vala-desktop-agnostic
+Conflicts: vala-desktop-agnostic
 Description: Development files for libdesktop-agnostic
  This library provides an extensible configuration API, a unified virtual file
  system API, and a desktop item editor (all with pluggable backends) for
@@ -177,7 +174,7 @@
 Section: doc
 Depends:    ${shlibs:Depends},
             ${misc:Depends},
-            libjs-jquery
+            ${sphinxdoc:Depends}
 Description: Documentation for libdesktop-agnostic
  This library provides an extensible configuration API, a unified virtual file
  system API, and a desktop item editor (all with pluggable backends) for
@@ -185,20 +182,6 @@
  there are desktop-specific modules.
  .
  This package contains the documentation for the core library.
-
-Package: gir1.0-desktopagnostic-1.0
-Architecture: any
-Depends:    ${shlibs:Depends},
-            ${misc:Depends},
-            libdesktop-agnostic0 (= ${binary:Version})
-Recommends:	gobject-introspection, libdesktop-agnostic-dev
-Description:  GObject Introspection data for libdesktop-agnostic
- This library provides an extensible configuration API, a unified virtual file
- system API, and a desktop item editor (all with pluggable backends) for
- GLib-based projects. It is not tied to any one desktop environment, although
- there are desktop-specific modules.
- .
- This package contains the GObject Introspection data for the core library.
 
 Package: libdesktop-agnostic-bin
 Architecture: any
@@ -206,7 +189,7 @@
             ${misc:Depends},
             libdesktop-agnostic0 (= ${binary:Version}),
             libdesktop-agnostic-cfg-gconf
-Description:  Helper applications for libdesktop-agnostic
+Description: Helper applications for libdesktop-agnostic
  This library provides an extensible configuration API, a unified virtual file
  system API, and a desktop item editor (all with pluggable backends) for
  GLib-based projects. It is not tied to any one desktop environment, although
@@ -222,7 +205,6 @@
             ${misc:Depends},
             libdesktop-agnostic0 (>= ${binary:Version}),
             ${python:Depends}
-Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for libdesktop-agnostic
  This library provides an extensible configuration API, a unified virtual file
@@ -231,16 +213,3 @@
  there are desktop-specific modules.
  .
  This package contains the Python bindings for the core library.
-
-Package: vala-desktop-agnostic
-Architecture: all
-Depends:    ${shlibs:Depends},
-            ${misc:Depends},
-            libdesktop-agnostic0 (>= ${source:Version})
-Description: Vala bindings for libdesktop-agnostic
- This library provides an extensible configuration API, a unified virtual file
- system API, and a desktop item editor (all with pluggable backends) for
- GLib-based projects. It is not tied to any one desktop environment, although
- there are desktop-specific modules.
- .
- This package contains the Vala bindings for the core library.

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,14 @@
 endif
 
 %:
-	dh $@
+	dh --with sphinxdoc --with python2 $@
 
 override_dh_auto_configure:
 	LINKFLAGS="${LDFLAGS} -Wl,--as-needed" ./waf --nocache configure --prefix=/usr \
 	--enable-debug \
 	--config-backends=gconf,keyfile \
-	--vfs-backends=gio,gnome-vfs,thunar-vfs \
-	--desktop-entry-backends=glib,gnome \
+	--vfs-backends=gio \
+	--desktop-entry-backends=glib,gnome,gio \
 	--with-glade \
 	--enable-docs
 	./waf --nocache build
@@ -26,6 +26,9 @@
 override_dh_strip:
 	dh_strip --dbg-package=libdesktop-agnostic0-dbg
 
+override_dh_python2:
+	dh_python2 --no-guessing-versions
+
 override_dh_auto_clean:
 	rm -rf build sphinx.pyc
 	./waf --nocache distclean

=== debian/watch ===
version=3
https://launchpad.net/libdesktop-agnostic/+download http://launchpad.net/libdesktop-agnostic/.*/libdesktop-agnostic-(.+)\.tar.gz
